# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear
%define _pversion 0.6.0beta

Name:				php5-pear-image_text
Version:			0.6.0
Release:			1.3
Summary:			Advanced text maipulations in images.
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Image_Text
Source0:			http://pear.php.net/get/Image_Text-%{_pversion}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
Requires:		php5-gd
BuildRequires:	php5-pear

%description
Image_Text provides a comfortable interface to text manipulations in GD
images. Beside common Freetype2 functionality it offers to handle texts
in a graphic- or office-tool like way. For example it allows alignment of
texts inside a text box, rotation (around the top left corner of a text
box or it's center point) and the automatic measurizement of the optimal
font size for a given text box.

Authors:
--------
	Tobias Schlitt
	Stoyan Stefanov

%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Image_Text.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Text.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Text
fi

%files
%defattr(-, root, root)
%doc docs/Image_Text
%dir %{peardir}/Image
%dir %{peardir}/data/Image_Text
%dir %{peardir}/tests/testimages
%{peardir}/Image/Text.php
%{peardir}/data/Image_Text/tests/Vera.ttf
%{peardir}/tests/*.php
%{peardir}/tests/testimages/*.jpg
%{peardir}/tests/testimages/*.png
%{_var}/lib/pear/Image_Text.xml


%changelog
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
